*This file produces regs and graphs for moral hazard vs. liquidity UI paper
*Dataset prepared by SIPP_durations_dataprep.do
*Note that this dataset is NOT stset or stsplit, so this program does it here

clear
cap log close
set more off
set mem 750m
set matsize 11000

***0 Setup

cd "$projdir"

cd "$progdir/analysis"
do SIPP_ReEmpHazards_Final

cd "$progdir/analysis"
do SIPP_ReEmpWages_Final


/* if `reemphazards' == 0 & `allanalysis' == 0{ */
/*     cd "$progdir/analysis" */
/*     do SIPP_ReEmpHazards_Final */
/* } */

/* if `reempwages' == 0 & `allanalysis' == 0{ */
/*     cd "$progdir/analysis" */
/*     do SIPP_ReEmpWages_Final */
/* } */

cd "$tablepath"

esttab reg1 reg3 haz1 haz3 using ReEmpWageHazardFull_Paper.tex, b star(* 0.1 ** 0.05 *** 0.01) nodepvars rename(l_avgwba l_avgwbamth 2.netliq_qtile#c.l_avgwbamth 2.netliq_qtile#c.l_avgwba 3.netliq_qtile#c.l_avgwbamth 3.netliq_qtile#c.l_avgwba 4.netliq_qtile#c.l_avgwbamth 4.netliq_qtile#c.l_avgwba 5.netliq_qtile#c.l_avgwbamth 5.netliq_qtile#c.l_avgwba) keep(l_avgwbamth 1.netliq_qtile#c.l_avgwba 2.netliq_qtile#c.l_avgwba 3.netliq_qtile#c.l_avgwba 4.netliq_qtile#c.l_avgwba 5.netliq_qtile#c.l_avgwba) order(l_avgwbamth 1.netliq_qtile#c.l_avgwba  2.netliq_qtile#c.l_avgwba 3.netliq_qtile#c.l_avgwba 4.netliq_qtile#c.l_avgwba 5.netliq_qtile#c.l_avgwba) booktabs se coeflabels(l_avgwbamth "log(State Ave. UI)" 1.netliq_qtile#c.l_avgwba "Q1 X log(State Ave. UI)" 2.netliq_qtile#c.l_avgwba "Q2 X log(State Ave. UI)" 3.netliq_qtile#c.l_avgwba "Q3 X log(State Ave. UI)" 4.netliq_qtile#c.l_avgwba "Q4 X log(State Ave. UI)" 5.netliq_qtile#c.l_avgwba "Q5 X log(State Ave. UI)") mtitles("Pooled" "Main" "Pooled" "Main") mgroups("Wages" "Hazard", pattern(1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) postfoot("\\\hline\rule{0pt}{2ex}Observations  & `regN1'  & `regN2'  & `hazN1'  & `hazN2' \\\bottomrule\multicolumn{5}{l}{\footnotesize Clustered standard errors in parentheses}\\\multicolumn{5}{l}{\footnotesize * p<0.1, ** p<0.05, *** p<0.01}\\\end{tabular}}") replace

esttab reg1 reg2 haz1 haz2 using ReEmpWageHazard1stYN_Paper.tex, b star(* 0.1 ** 0.05 *** 0.01) nodepvars rename(l_avgwba l_avgwbamth 2.netliq_1stq#c.l_avgwbamth 2.netliq_1stq#c.l_avgwba) keep(l_avgwbamth 1.netliq_1stq#c.l_avgwba 2.netliq_1stq#c.l_avgwba) order(l_avgwbamth 1.netliq_1stq#c.l_avgwba  2.netliq_1stq#c.l_avgwba) booktabs se coeflabels(l_avgwbamth "log(State Ave. UI)" 1.netliq_1stq#c.l_avgwbamth "1st Quintile X log(State Ave. UI)" 2.netliq_1stq#c.l_avgwbamth ">1st Quintile X log(State Ave. UI)") mtitles("Pooled" "Main" "Pooled" "Main") mgroups("Wages" "Hazard", pattern(1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) postfoot("\\\hline\rule{0pt}{2ex} Observations  & `regN1'  & `regN2'  & `hazN1'  & `hazN2' \\\bottomrule\multicolumn{5}{l}{\footnotesize Clustered standard errors in parentheses}\\\multicolumn{5}{l}{\footnotesize * p<0.1, ** p<0.05, *** p<0.01}\\\end{tabular}}") replace
