clear all


cd "$datadir/cleaned_data"
use SIPPUnemp_SpellsPanel, clear
gen pnumwlth = 1000*entry + pnum
recast double pnumwlth
order panel suid pnumwlth wave
sort panel suid pnumwlth wave
save SIPPUnemp_SpellsWealthPanel.dta, replace


cd "$datadir/wealth"
use t4wealth90_cleaned.dta, clear
gen panel = 1990
gen a_year = 1991
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
ds suid pnum a_wave asset_obs panel a_year, not
local rest_vars "`r(varlist)'"
sort panel suid pnum asset_obs
save "$tmpdir/t4wealth90_temp", replace

cd "$datadir/wealth"
use t7wealth91_cleaned.dta, clear
gen panel = 1991
gen a_year = 1993
destring suid, replace
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t7wealth91_temp", replace

cd "$datadir/wealth"
use t4wealth92_cleaned.dta, clear
gen panel = 1992
gen a_year = 1993
destring suid, replace
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t4wealth92_temp", replace


cd "$datadir/wealth"
use t7wealth93_cleaned.dta, clear
drop suseqnum
gen panel = 1993
gen a_year = 1995
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t7wealth93_temp", replace


cd "$datadir/wealth"
use t3wealth96_cleaned.dta, clear
gen panel = 1996
gen a_year = 1997
destring suid, replace
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t3wealth96_temp", replace

cd "$datadir/wealth"
use t6wealth96_cleaned.dta, clear
gen panel = 1996
gen a_year = 1998
destring suid, replace
gen asset_obs = 2
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t6wealth96_temp", replace

cd "$datadir/wealth"
use t9wealth96_cleaned.dta, clear
gen panel = 1996
gen a_year = 1999
destring suid, replace
gen asset_obs = 3
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t9wealth96_temp", replace

cd "$datadir/wealth"
use t12wealth96_cleaned.dta, clear
gen panel = 1996
gen year = 2000
destring suid, replace
gen asset_obs = 4
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t12wealth96_temp", replace

cd "$datadir/wealth"
use t3wealth01_cleaned.dta, clear
gen panel = 2001
gen a_year = 2001
destring suid, replace
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t3wealth01_temp", replace

cd "$datadir/wealth"
use t6wealth01_cleaned.dta, clear
gen panel = 2001
gen a_year = 2002
destring suid, replace
gen asset_obs = 2
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t6wealth01_temp", replace

cd "$datadir/wealth"
use t9wealth01_cleaned.dta, clear
gen panel = 2001
gen a_year = 2003
destring suid, replace
gen asset_obs = 3
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t9wealth01_temp", replace

cd "$datadir/wealth"
use t3wealth04_cleaned.dta, clear
gen panel = 2004
gen a_year = 2004
destring suid, replace
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t3wealth04_temp", replace

cd "$datadir/wealth"
use t6wealth04_cleaned.dta, clear
gen panel = 2004
gen a_year = 2005
destring suid, replace
gen asset_obs = 2
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t6wealth04_temp", replace

cd "$datadir/wealth"
use t4wealth08_cleaned.dta, clear
gen panel = 2008
gen a_year = 2009
destring suid, replace
gen asset_obs = 1
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t4wealth08_temp", replace

cd "$datadir/wealth"
use t7wealth08_cleaned.dta, clear
gen panel = 2008
gen a_year = 2010
destring suid, replace
gen asset_obs = 2
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t7wealth08_temp", replace

cd "$datadir/wealth"
use t10wealth08_cleaned.dta, clear
gen panel = 2008
gen year = 2011
destring suid, replace
gen asset_obs = 3
ren pnum pnumwlth
recast double pnumwlth
recast double suid
format suid %20.0g
sort panel suid pnumwlth asset_obs
save "$tmpdir/t10wealth08_temp", replace

**Wealth TMs: 90-4, 91-7, 92-4, 93-7, 96-3, 96-6, 96-9, 96-12, 01-3, 01-6, 01-9, 04-3, 04-6, 08-4, 08-7, 08-10

cd "$datadir/cleaned_data"
use SIPPUnemp_SpellsWealthPanel, clear
cd $tmpdir
gen asset_obs = 0
replace asset_obs = 1 if panel == 1990
merge m:1 panel suid pnumwlth asset_obs using t4wealth90_temp.dta
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 1991
merge m:1 panel suid pnumwlth asset_obs using t7wealth91_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 1992
merge m:1 panel suid pnumwlth asset_obs using t4wealth92_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 1993
merge m:1 panel suid pnumwlth asset_obs using t7wealth93_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 1996 & wave < 4
merge m:1 panel suid pnumwlth asset_obs using t3wealth96_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 2 if panel == 1996 & wave > 3 & wave < 7
merge m:1 panel suid pnumwlth asset_obs using t6wealth96_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 3 if panel == 1996 & wave > 6 & wave < 10
merge m:1 panel suid pnumwlth asset_obs using t9wealth96_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 4 if panel == 1996 & wave > 9
merge m:1 panel suid pnumwlth asset_obs using t12wealth96_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 2001 & wave < 4
merge m:1 panel suid pnumwlth asset_obs using t3wealth01_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 2 if panel == 2001 & wave > 3 & wave < 7
merge m:1 panel suid pnumwlth asset_obs using t6wealth01_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 3 if panel == 2001 & wave > 6
merge m:1 panel suid pnumwlth asset_obs using t9wealth01_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 2004 & wave < 4
merge m:1 panel suid pnumwlth asset_obs using t3wealth04_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 2 if panel == 2004 & wave > 3
merge m:1 panel suid pnumwlth asset_obs using t6wealth04_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 1 if panel == 2008 & wave < 4
merge m:1 panel suid pnumwlth asset_obs using t4wealth08_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 2 if panel == 2008 & wave > 3 & wave < 7
merge m:1 panel suid pnumwlth asset_obs using t7wealth08_temp.dta, update
drop if _merge == 2
drop _merge
replace asset_obs = 3 if panel == 2008 & wave > 6
merge m:1 panel suid pnumwlth asset_obs using t10wealth08_temp.dta, update
drop if _merge == 2
drop _merge
cd "$datadir/cleaned_data"
ren state cpsst
sort year cpsst
save SIPPUnemp_SpellsWealthPanel, replace
