*JPE revision, prepare dataset for cox analysis with censoring at 50 weeks
*This program takes previous allmerged dataset (from old version of project) and creates a new dataset for hazard regs + graphs

clear
cd $projdir
*use SIPPUnemp_FinalPanel.dta, clear
use SIPPUnemp_FinalPanel.dta, clear

egen pid = group(panel suid entry pnum)


***FINAL DATA PREP

keep if dur>0
keep if age<65
count if searchdur==0
count if templayoff==1&searchdur==0
keep if searchdur>0
keep if sex==0

*gen l_dur = log(dur)
gen l_avgwbamth = log(avgwbamth)
gen l_avgwbaqtr = log(avgwbaqtr)
gen l_avgwba = log(avgwba)
*gen rlwbamax = wba_max*cpi
*gen l_maxwba = log(rlwbamax)
*gen l_wba = log(wba)
gen l_annwg = log(annwg)
mkspline l_annwg_spl 10 = l_annwg, pct

replace spwork_yn = spwork_yn==1
replace ui_yn=ui_yn==1

forval X = 1/36{
   /* gen l_nextwks`X' = log(nextwks`X') */
   /* gen l_nextsumwks`X' = log(nextsumwks`X') */
   /* gen l_nextempwks`X' = log(nextempwks`X') */
   /* gen l_nextsumempwks`X' = log(nextsumempwks`X') */
   gen l_nextearn`X' = log(nextearn`X')
   label var l_nextearn`X' "Log of Monthly Earnings in `X' Months"
   gen l_nextsumearn`X' = log(nextsumearn`X')
   label var l_nextsumearn`X' "Log of Total Monthly Earnings over `X' Months"
   gen l_nextprimwage`X' = log(nextprimwage`X')
   label var l_nextprimwage`X' "Log of Primary Average Wage in `X' Months"
   gen l_nextprimearn`X' = log(nextprimearn`X')
   label var l_nextprimearn`X' "Log of Primary Earnings in `X' Months"
   gen l_nextsumprimearn`X' = log(nextsumprimearn`X')
   label var l_nextsumprimearn`X' "Log of Total Primary Earnings over `X' Months"
   /* gen l_nextm1hrs`X' = log(nextm1hrs`X') */
   /* gen l_nextsumm1hrs`X' = log(nextsumm1hrs`X') */
   /* gen l_nextprimhrs`X' = log(nextprimhrs`X') */
   /* gen l_nextsumprimhrs`X' = log(nextsumprimhrs`X') */
   /* gen l_nexttothrs`X' = log(nexttothrs`X') */
   /* gen l_nextsumtothrs`X' = log(nextsumtothrs`X') */
   gen l_nextm1earn`X' = log(nextm1earn`X')
   label var l_nextm1earn`X' "Log of Job 1 Monthly Earnings in `X' Months"
   gen l_nextsumm1earn`X' = log(nextsumm1earn`X')
   label var l_nextsumm1earn`X' "Log of Total Job 2 Earnings over `X' Months"
   gen l_nextm2earn`X' = log(nextm2earn`X')
   label var l_nextm2earn`X' "Log of Job 2 Earnings in `X' Months"
   gen l_nextsumm2earn`X' = log(nextsumm2earn`X')
   label var l_nextsumm2earn`X' "Log of Total Job 2 Earnings over `X' Months"
   gen l_nextm1wage`X' = log(nextm1wage`X')
   label var l_nextm1wage`X' "Log of Job 1 Average Wage in `X' Months"
   gen l_nextm2wage`X' = log(nextm2wage`X')
   label var l_nextm2wage`X' "Log of Job 2 Average Wage in `X' Months"
   gen l_nexttotearn`X' = log(nexttotearn`X')
   label var l_nexttotearn`X' "Log of Monthly Labor Earnings in `X' Months"
   gen l_nextsumtotearn`X' = log(nextsumtotearn`X')
   label var l_nextm1wage`X' "Log of Total Labor Earnings over `X' Months"
   *gen l_nextinc`X' = log(nextinc`X')
   *gen l_nextspinc`X' = log(nextspinc`X')
   *gen l_nextfinc`X' = log(nextfinc`X')
   gen l_nextearnrate`X' = log(nextearnrate`X')
   label var l_nextearnrate`X' "Log of Average Monthly Wage Rate over `X' Months"
   gen l_nextprimrate`X' = log(nextprimrate`X')
   label var l_nextprimrate`X' "Log of Primary Average Monthly Wage Rate over `X' Months"
   gen l_nextm1earnrate`X' = log(nextm1earnrate`X')
   label var l_nextm1earnrate`X' "Log of Job 1 Average Monthly Wage Rate over `X' Months"
   gen l_nexttotearnrate`X' = log(nexttotearnrate`X')
   label var l_nexttotearnrate`X' "Log of Total Labor Average Monthly Wage Rate over `X' Months"
}


gen l_nextqwage1 = log(nextqwage1)
label var l_nextqwage1 "Log of Next Quarter Average Wage"
gen l_nextqprimwage = log(nextqprimwage)
label var l_nextqprimwage "Log of Next Quarter Average Wage"
gen l_nextqprimearn = log(nextqprimearn)
label var l_nextqprimearn "Log of Next Quarter Average earn"
gen l_nextqearn = log(nextqearn)
label var l_nextqearn "Log of Next Quarterly Earnings"
gen l_nextannwg  = log(nextannwg)
label var l_nextannwg "Log of Next Annual Wage"


*gen l_nextqprimhrlywage = log(nextqprimearn/nextqprimhrs)

/* gen nextrate = nextearn/(nextwks*nexttothrs) */

/* gen l_nextrate = log(nextrate) */

/* gen next1rate = nextm1earn/(nextwks*next1hrs) */

/* gen l_next1rate = log(next1rate) */

/* gen nextprimrate = nextprimearn/(nextwks*nextprimhrs) */

/* gen l_nextprimrate = log(nextprimrate) */

gen nextmostenure = ceil(nexttenure/4)
gen hasmortg = hh_mortg>0 if hh_mortg<.
gen l_hh_twlth = log(hh_twlth)
gen l_hh_netliq = log(hh_netliq)
gen renter = hh_theq==0&hh_mortg==0 if hh_theq~=.&hh_mortg~=.
gen wba = avgwba
gen reprate = wba*52/annwg_hat

gen l_qavgwba = log(avgwba*13)
gen l_qavgwbaqtr = log(avgwbaqtr*13)
gen l_qavgwbamth = log(avgwbamth*13)

*Censor at 52, stset and split data
replace censrd = 1 if dur>52&dur!=.
replace dur=52 if dur>52&dur!=.
*stset dur, id(id) failure(censrd==0)
*stsplit, at(failures) nopreserve
*bys id: egen totaldur=max(dur)

gen onseam = dur==seam1wks|dur==seam2wks

gen l_maxwba = l_avgwba
label var l_avgwba "Log of Average UI in State of Residence"
gen l_wba = l_avgwba

gen durmaxwba = l_maxwba*dur
gen duravgwba = l_avgwba*dur
gen duractwba = l_wba*dur

xtile netliq_qtile = hh_netliq if uirec==1&templayoff==0&age>21 [pweight = spellwgt], nq(5)
xtile nettwlth_qtile = hh_tnw if uirec==1&templayoff==0&age>21 [pweight = spellwgt], nq(5)
xtile avgwba_qtile = avgwba if templayoff==0&uirec==1&age>21 [pweight = spellwgt], nq(2)
*xtile nextwage_qtile = nextmeanwage if uirec==1&templayoff==0&age>21 [pweight = spellwgt], nq(5)

*xtile netliq_qtile = hh_netliq if ui_yn==1&templayoff==0, nq(4)
*xtile avgwba_qtile = avgwba if ui_yn==1&templayoff==0, nq(2)

xtile netliq_cntrl_qtile = hh_netliq if uirec==0, nq(5)
xtile homeeq_qtile = hh_theq if uirec==1&templayoff==0&hh_theq>0, nq(5)

***1 SUMMARY STATISTICS

*Make usdbt into a real var since it wasn't done in original file
sort year
*merge year using cpiseries.dta, nokeep
*rename hh_usdbt hh_usdbt_nom
*gen hh_usdbt = hh_usdbt_nom*cpi

label var avgwba_qtile "Average UI in State Above Median"
label var netliq_qtile "Net Liquidity Quintile"

*gen compdur = min(totaldur,26)

*log using summary_stats, smcl replace
set more off

tab netliq_q, sum(hh_netliq)

label define netliq_qtile 1 "Net Liq Q1 X" 2 "Net Liq Q2 X" 3 "Net Liq Q3 X" 4 "Net Liq Q4 X" 5 "Net Liq Q5 X"
label define avgwba_qtile 1 "St UI < Med" 2 "St UI > Med"
label variable dur "Duration of Unemployment"
*label variable nextwage "Re-Employment Monthly Wage"
label variable avgwba "Average UI in State of Residence"
label variable annwg "Previous Annual Wage"
label variable hh_netliq "Net Liquid Assets"
label variable age "Age"

label values netliq_qtile netliq_qtile
label values avgwba_qtile avgwba_qtile

/* *cd "E:\Dropbox\Research\Wealth Effects, Search, and Life-Cycle Inequality\figures\tables" */

/* ***3 Create Interactions */

/* *Drop obs to save memory */
/* keep if ui_yn==1&templay==0 */

/* **Define Quartile benefit interactions */
/* #delimit; */
/* foreach num of numlist 1/5 {; */
/*    gen int_netliq`num'wba = (netliq_q==`num')*l_avgwbamth if netliq_q~=.; */
/*    label var int_netliq`num'wba "Net Liq. Quintile `num' X Log of Avg. UI"; */
/*    gen int_netliq`num'durwba = (netliq_q==`num')*potential_UIdur if netliq_q~=.; */
/*    label var int_netliq`num'durwba "Net Liq. Quintile `num' X Potential UI Weeks"; */
/*    gen int_nettwlth`num'wba = (nettwlth_q==`num')*l_avgwba if nettwlth_q~=.; */
/*    label var int_nettwlth`num'wba "Net Wealth Quintile `num' X Log of Avg. UI"; */
/*    gen int_nettwlth`num'durwba = (nettwlth_q==`num')*dur if nettwlth_q~=.; */
/*    label var int_nettwlth`num'durwba "Net Wealth Quintile `num' X Dur. Rec'd UI"; */
/*    gen lastwgXnetliq`num' = (netliq_q==`num')*l_annwg if netliq_q~=.; */
/*    label var lastwgXnetliq`num' "Net Liq. Quintile `num' X Log of Prev. Ann. Wg"; */
/* }; */

/* #delimit; */
/* foreach x of numlist 1/5 {; */
/*    foreach y of numlist 1/10 {; */
/*    gen netliq`x'_wg`y' = (netliq_q==`x')*l_annwg_spl`y' if netliq_q~=.; */
/*    gen nettwlth`x'_wg`y' = (nettwlth_q==`x')*l_annwg_spl`y' if nettwlth_q~=.; */
/*    }; */
/* }; */
/* #delimit cr */

/* set more off */

/* *Includes full occ, ind, and wage interacts with netliq_q for 2.2 on */



#delimit;

  
keep panel year suid pnum calqtr avgwba avgwbaqtr avgwbamth l_avgwba l_avgwbaqtr l_avgwbamth maxwba_nom potential_UIdur observed_UIdur dur censrd seambeg age mardum ed spwork_yn tenure
  censrd l_annwg_spl* year mth occ ind annwg* annwg_hat l_annwg uirec ui_yn ui_yn2 wave a_wave onseam
  spanninc kids hh_mortg hh_netliq hh_liq sippst templayoff seam1 seam2 seam3 next* wpfinwgt 
  gvarstr ghlfsam spellwgt spellgvar spellpsu spellstratavar spellpsuvar sex pid race cv_earn 
  spell hh_mortg hh_vehcl hh_beq hh_intbk hh_stk hh_ore hh_otast hh_twlth hh_usdbt hh_theq hh_ira hh_tnw
  l_* wks_* earn_* *hrs* *uiamt net*;

#delimit cr

gen id=_n

*save SIPPUnemp_FinalPanel.dta, replace
save SIPPUnemp_FinalPanel.dta, replace
