clear all
pause on
set more off

*Set Ben's Path
cd $alldatadir/UI

**
/*
use statecodes.dta, replace
sort sippst
save statecodes.dta, replace

clear

use avguibens.dta, replace
merge sippst using statecodes
sort cpsst year
drop _merge
save avguibens.dta, replace
*/

use statecodes.dta, replace
sort state
save "$datadir/data/cleaned/statecodes.dta", replace

clear

insheet using quarterlyui_bystate.csv, comma
drop in 1/2
gen temp1 = strpos(average,"$")
replace average = substr(average,temp1+1,.)
drop v8 temp1
sort state
merge state using "$datadir/data/cleaned/statecodes"

ren average avgwba_nom

destring avgwba_nom, replace force

keep sippst cpsst year avgwba_nom

append using avguibens.dta

quietly bysort cpsst year:  gen dup = cond(_N==1,0,_n)
drop if dup > 0 & st == .
drop dup

keep sippst cpsst year avgwba_nom
sort year cpsst
save "$datadir/data/cleaned/fullavguibens.dta", replace

use "$datadir/data/cleaned/statecodes.dta", replace
sort cpsst
save "$datadir/data/cleaned/statecodes.dta", replace

clear

insheet using awb_st_mon.csv, comma
ren v1 state
ren v2 date
ren v3 avgwbamth_nom
drop if state == "st"
gen temp1 = strpos(date,"-")
gen day = substr(date,1,temp1-1)
gen temp2 = substr(date,temp1+1,.)
drop temp1
gen temp1 = strpos(temp2,"-")
gen mth = substr(temp2,1,temp1-1)
gen year = substr(temp2,temp1+1,.)
drop temp1 temp2
duplicates drop state day mth year, force
ren mth mthname
gen mth = 1 if mthname == "JAN"
replace mth = 2 if mthname == "FEB"
replace mth = 3 if mthname == "MAR"
replace mth = 4 if mthname == "APR"
replace mth = 5 if mthname == "MAY"
replace mth = 6 if mthname == "JUN"
replace mth = 7 if mthname == "JUL"
replace mth = 8 if mthname == "AUG"
replace mth = 9 if mthname == "SEP"
replace mth = 10 if mthname == "OCT"
replace mth = 11 if mthname == "NOV"
replace mth = 12 if mthname == "DEC"
gen calqtr = 1 if mthname == "MAR"
replace calqtr = 2 if mthname == "JUN"
replace calqtr = 3 if mthname == "SEP"
replace calqtr = 4 if mthname == "DEC"

destring year, replace force
destring avgwbamth_nom, replace force

merge m:1 state using "$datadir/data/cleaned/statecodes.dta"
drop _merge

keep sippst cpsst year calqtr avgwbamth_nom mth

duplicates drop cpsst mth year, force

save "$datadir/data/cleaned/avguibensmthfullpanel.dta", replace

clear

insheet using awb_st_qtr.csv, comma
drop in 1
ren v1 state
ren v2 date
ren v3 avgwbaqtr_nom
gen temp1 = strpos(date,"-")
gen day = substr(date,1,temp1-1)
gen temp2 = substr(date,temp1+1,.)
drop temp1
gen temp1 = strpos(temp2,"-")
gen mth = substr(temp2,1,temp1-1)
gen year = substr(temp2,temp1+1,.)
drop temp1 temp2
gen calqtr = 1 if mth == "MAR"
replace calqtr = 2 if mth == "JUN"
replace calqtr = 3 if mth == "SEP"
replace calqtr = 4 if mth == "DEC"
duplicates drop state day calqtr year, force
drop if state == "st"
destring year, replace force
destring avgwbaqtr_nom, replace force

merge m:1 state using "$datadir/data/cleaned/statecodes.dta"
drop _merge

keep sippst cpsst year calqtr avgwbaqtr_nom

duplicates drop cpsst calqtr year, force

save "$datadir/data/cleaned/avguibensqtrfullpanel.dta", replace

clear

insheet using quarterlyUIduration_bystate.csv, comma clear
drop if v1 == "st"
ren v1 state
ren v2 date
ren v3 potential_UIdur
ren v4 observed_UIdur
gen temp1 = strpos(date,"/")
gen mth = substr(date,1,temp1-1)
gen temp2 = substr(date,temp1+1,.)
drop temp1
gen temp1 = strpos(temp2,"/")
gen day = substr(temp2,1,temp1-1)
gen year = substr(temp2,temp1+1,.)
drop temp1 temp2
gen calqtr = 1 if mth == "3"
replace calqtr = 2 if mth == "6"
replace calqtr = 3 if mth == "9"
replace calqtr = 4 if mth == "12"
duplicates drop state day calqtr year, force
destring year, replace force
destring potential*, gen(potential_UIdurNum) force
destring observed*, gen(observed_UIdurNum) force
sort state year calqtr
by state: replace potential_UIdurNum = potential_UIdurNum[_n-1] if state == state[_n-1] & potential_UIdurNum == .
by state: replace observed_UIdurNum = observed_UIdurNum[_n-1] if state == state[_n-1] & observed_UIdurNum == .
drop potential_UIdur observed_UIdur
ren potential_UIdurNum potential_UIdur
ren observed_UIdurNum observed_UIdur

merge m:1 state using "$datadir/data/cleaned/statecodes.dta"
drop _merge

keep sippst cpsst year calqtr potential_UIdur observed_UIdur

duplicates drop cpsst calqtr year, force

merge 1:1 cpsst calqtr year using "$datadir/data/cleaned/avguibensqtrfullpanel.dta"

save "$datadir/data/cleaned/avguibensqtrfullpanel.dta", replace

keep if _merge == 3
drop _merge
drop if potential_UIdur == .

save "$datadir/data/cleaned/avguibensqtrfullpanel.dta", replace

clear

insheet using maxbenefits_2016.csv, comma

merge 1:1 state using "$datadir/data/cleaned/statecodes.dta"
drop _merge
ren maxweeklybenefits maxwba_nom

drop if st == .

keep sippst cpsst year maxwba_nom

save "$datadir/data/cleaned/maxuibensfullpanel.dta", replace
