/* Generate and recreate SIPP datafiles for use with many projects */
/* Author: Ben Griffy */
/* Date: Apr., 2018 */
/* Website: https://www.bengriffy.com */
/* Note: much of the original code incorporates the work of the CEPR to clean the data, and Chetty (2008) to incorporate wealth, UI, and spells */

clear all
pause on
set more off

cd $datadir/wealth/data

local dofiles "sip84rt4 sip84rt7 sip85rt3 sip85rt7 sip86rt4 sip86rt7 sip87rt4 sip87rt7 sip88rt4 sip90t4 sip90t7 sip91t4 sip91t7 sip92t4 sip92t7 sip93t4 sip93t7 sip96t3 sip96t6 sip96t9 sip96t12 sip01t3 sip01t6 sip01t9 sippp04putm3 sippp04putm6 sippp08putm4 sippp08putm7 sippp08putm10"

*local dofiles "sip90t4 sip90t7 sip91t4 sip91t7"

*local cleaning_dofiles "rt3asset85 rt4asset86 rt4asset87 t3asset96 t4asset90 t4asset91 t4asset92 t4asset93 t7asset90 t7asset91 t7asset92 t7asset93 "

*local cleaning_dofiles "rt3asset85 rt4asset86 rt4asset87 t4asset90 t7asset90 t4asset91 t7asset91 t4asset92 t7asset92 t4asset93 t7asset93 t3asset96 t6asset96 t9asset96 t12asset96 t3asset01 t6asset01 t9asset01 putm3asset04 putm6asset04 putm4asset08 putm7asset08"

local cleaning_dofiles "t4asset90 t7asset90 t4asset91 t7asset91 t4asset92 t7asset92 t4asset93 t7asset93 t3asset96 t6asset96 t9asset96 t12asset96 t3asset01 t6asset01 t9asset01 putm3asset04 putm6asset04 putm4asset08 putm7asset08"

*local cleaning_dofiles "t3asset96 t4asset90 t4asset91 t4asset92 t4asset93 t7asset90 t7asset91 t7asset92 t7asset93"

	
foreach dofile of local dofiles {
    cd $datadir/wealth/data
    do `dofile'
}


foreach dofile of local cleaning_dofiles {
    cd $sippprogdir/do-files/wealth
    do `dofile'
}
