/* Generate and recreate SIPP datafiles for use with many projects */
/* Author: Ben Griffy */
/* Date: Apr., 2018 */
/* Website: https://www.bengriffy.com */
/* Note: much of the original code incorporates the work of the CEPR to clean the data, and Chetty (2008) to incorporate wealth, UI, and spells */

cd "$progdir/data_prep/"

clear all

local years "85 86 87 88 90 91 92 93 96 01 04 08"
*local years "01 04 08"
local years2 "85 86 87 88 90 91 92 93 96 01 04 08"
*local years "91 92 93 96 01 04 08"
*local years2 "91 92 93 96 01 04 08"
*local years "1996 2001 2004 2008"

cd "$progdir/data_prep/"
global Y=84
do SIPP_Clean


qui {
foreach year of local years {
 	cd "$progdir/data_prep/"
 	global Y=`year'
 	do SIPP_Clean
 }
 }

cd "$datadir/data/cleaned/"

use SIPP_Cleaned_84, replace

foreach year of local years2 {
	cd "$datadir/data/cleaned/"
	qui append using SIPP_Cleaned_`year', force
	quietly bysort panel suid entry pnum TimeID:  gen dup = cond(_N==1,0,_n)
	tab dup
	drop dup
}

gen redesign = 1996 if panel >= 1996 & panel <= 2001
replace redesign = 2004 if panel >= 2004 & panel <= 2008
replace redesign = 1985 if panel >= 1985 & panel <= 1991
replace redesign = 1992 if panel >= 1992 & panel <= 1993
egen stratavar = concat(redesign gvarstr)
egen psuvar = concat(redesign ghlfsam)
destring stratavar, replace
destring psuvar, replace


cd "$datadir/data/cleaned/"
save SIPP_BasePanel.dta, replace

