/* Please do not attempt to run this program without reading the accompanying documentation*/

version 8.0
set more off
prog drop _all

/*
File: pull e (childcare).do
Date: May 2012
Desf: Pull-file to create set E
Note: See acknowledgments and copyright notice in master_sipp_ver1_1.do
*/

/* 
This program is to be run embedded within master_sipp_ver1_1.do.
This program pulls variables for Set E..
*/
capture log close
cd "$log"
log using set_e$p.log, replace
cd "$tempdata"

************* pull childcare

* need to pull from each wave and merge
global idw="id wave"


capture program drop loop08
program define loop08
	local p = $p
	cd "$cleandata"
	global evarlist "$idw eckd* epay* epayhel* ewhoth* eself* eparhr1* ewhsbhr* egranhr* erelhr1* eotheh* ehrfam1* edayhrs* enurhrs* eheadhr* ehsport* ehrles1* eclubhr* ehscho1* esb14hr* ekidhr1* ehrschw* eccpnum* ewhopa* etiamt01 etiamt02" 
	use $evarlist tamt* using sipp08t5, clear
	cd "$cleandata"
	*append using sipp08t9, keep($evarlist tamt*)
	compress
	cd "$tempdata"
	sort $idw
	save test, replace	
	
	cd "$cleandata"
	use $idw tage using sipp08w5, clear
	cd "$cleandata"
	*append using sipp08w9, keep ($idw tage)
	sort $idw
	cd "$tempdata"
	merge $idw using test
	tab _merge
	drop _merge 

	mvdecode $evarlist, mv(-1)
	compress
	foreach x of varlist tamt* {
		recode `x' (.=0)
	}

	rename tage age
	compress
	cd "$tempdata"
	sort $idw
	save set_e_test$p, replace
	
end


capture program drop loop04
program define loop04
	local p = $p
	cd "$cleandata"
	global evarlist "$idw eckd* epay* epayhel* ewhoth* eself* eparhr1* ewhsbhr* egranhr* erelhr1* eotheh* ehrfam1* edayhrs* enurhrs* eheadhr* ehsport* ehrles1* eclubhr* ehscho1* esb14hr* ekidhr1* ehrschw* eccpnum* ewhopa* etiamt01 etiamt02" 
	use $evarlist tamt* using sipp04t4, clear
	cd "$cleandata"
	append using sipp04t8, keep($evarlist tamt*)
	compress
	cd "$tempdata"
	sort $idw
	save test, replace	
	
	cd "$cleandata"
	use $idw tage using sipp04w4, clear
	cd "$cleandata"
	append using sipp04w8, keep ($idw tage)
	sort $idw
	cd "$tempdata"
	merge $idw using test
	tab _merge
	drop _merge 

	mvdecode $evarlist, mv(-1)
	compress
	foreach x of varlist tamt* {
		recode `x' (.=0)
	}

	rename tage age
	compress
	cd "$tempdata"
	sort $idw
	save set_e_test$p, replace
	
end


capture program drop loop96
program define loop96
	local p = $p
	cd "$cleandata"
	use $idw eckd* tamt* epay* epayhel* earrang* ewhoth* eself* eparhr1* ewhsbhr* egranhr* erelhr1* eotheh* /*
	*/ ehrfam1* edayhrs* enurhrs* eheadhr* ehsport* ehrles1* eclubhr* ehscho1* esb14hr* ekidhr1* /*
	*/ ehrschw* eccpnum* ewhopa* etiamt01 etiamt02 using sipp`p't4, clear
	cd "$tempdata"
	compress
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw tage using sipp`p'l4, clear
	cd "$tempdata"
	sort $idw
	merge $idw using test
	tab _merge
	drop _merge earrang* tamtira 
	sort $idw 
	save test_tm4$p, replace
	
	cd "$cleandata"
	use $idw eckd* tamt* epay* epayhel* earrang* ewhoth* eself* eparhr1* ewhsbhr* egranhr* erelhr1* eotheh* /*
	*/ ehrfam1* edayhrs* enurhrs* eheadhr* ehsport* ehrles1* eclubhr* ehscho1* esb14hr* ekidhr1* /*
	*/ ehrschw* eccpnum* ewhopa* etiamt01 etiamt02 using sipp`p't10, clear
	cd "$tempdata"
	compress
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw tage using sipp`p'l10, clear
	cd "$tempdata"
	sort $idw
	merge $idw using test
	tab _merge
	drop _merge earrang* tamtira 
	sort $idw
	save test_tm10$p, replace

	use test_tm4$p, clear
	compress
	mvdecode _all, mv(-1)
	recode tamt* (.=0)
	rename tage age
	save test_tm4$p, replace
	compress
	save set_e_test$p, replace

	use test_tm10$p, clear
	compress
	mvdecode _all, mv(-1)
	recode tamt* (.=0)
	rename tage age
	compress
	save test_tm10$p, replace
	append using set_e_test$p
	save set_e_test$p, replace

	end


capture program drop loop01
program define loop01
	local p = $p
	cd "$cleandata"
	use $idw eckd* tamt* epay* epayhel* ewhoth* eself* eparhr1* ewhsbhr* egranhr* erelhr1* eotheh* /*
	*/ ehrfam1* edayhrs* enurhrs* eheadhr* ehsport* ehrles1* eclubhr* ehscho1* esb14hr* ekidhr1* /*
	*/ ehrschw* eccpnum* ewhopa* etiamt01 etiamt02 using sipp01t4, clear
	cd "$tempdata"
	sort $idw
	save test, replace	
	
	cd "$cleandata"
	use $idw tage using sipp01w4, clear
	cd "$tempdata"
	sort $idw
	merge $idw using test
	tab _merge
	drop _merge 
	sort $idw
	save test_tm4$p, replace
	
	use test_tm4$p, clear
	compress
	mvdecode _all, mv(-1)
	recode tamt* (.=0)
	rename tage age
	compress
	save test_tm4$p, replace
	save set_e_test$p, replace
	
end

if $p==92 | $p==93 {
	/*
	Date: July 22, 2004
	Desc: Pull-file for 92/93 that grabs child arrangements and hours from tm files and recodes cc arrangements 
	and payments into separate variables.  We define a number of sub-programs at the beginning.  We then 
	set the panel and wave macros at the end of the program, followed by the commands to execute the sub-programs.
	The main sub-program is "cc_pp" which in turn executes the other sub-programs ("age_attach", cc_arrange, 
	cc_hours, cc_pay, and amt_recode).
	Note: See acknowledgements and copyright notice in master_sipp_ver1_1.do.
	*/
	*cd "$log"
	*log using set_e_pull_9293.log, replace
	*cd "$tempdata"
	
	*This program attaches age to the 1st, 2nd, & 3rd youngest children
	capture program drop age_attach
	program define age_attach
		while "`1'"~="" {
			if "`1'" == "tm8114" {
				local i = 1
			}
			if "`1'" == "tm8116" {
				local i = 2
			}
			if "`1'" == "tm8118" {
				local i = 3
			}
			egen pnumkid`i'= max(`1'), by (sfid)
			gen agekid`i'_= age if pnumkid`i'==pnum
			egen agekid`i' = max(agekid`i'_), by(sfid)
			drop agekid`i'_
			replace agekid`i'=. if agekid`i'>15
			gen kid`i'sub6 = agekid`i'>0 & agekid`i'<6
			tab kid`i'sub6, m
			replace kid`i'sub6 = . if agekid`i'>15
			tab kid`i'sub6, m
			mac shift
		}
	end

	*This program generates childcare arrangment variables similiar to those used in 1996/2001 panels
	capture program drop cc_arrange
	program define cc_arrange
		while "`1'"~="" {
			if "`1'" == "01" {	/* other parent */
				local b = 1
			}		
			if "`1'" == "02" {	/* parent */
				local b = 12
			}
			if "`1'" == "03" {	/* sibling */ 
				local b = 2
			}		
			if "`1'" == "05" {	/* grandparent */
				local b = 3
			}
			if "`1'" == "06" {	/* other relative */ 
				local b = 4
			}		
			if "`1'" == "08" {	/*child or day care */
				local b = 6
			}
			if "`1'" == "09" {	/* nursery/preschool */
				local b = 7
			}
			if "`1'" == "11" {	/* non-relative care */
				local b = 5
			}
			if "`1'" == "12" {	/* before/after school care */
				local b = 8
			}
			if "`1'" == "14" {	/* self care */
				local b = 10
			}

			gen eckd`1'a = tm8120 == `b' if ccuniva==1
			gen eckd`1'b = tm8122 == `b' if ccunivb==1
			gen eckd`1'c = tm8124 == `b' if ccunivc==1
			gen eckd`1'f = tm8120 == `b' if ccunivf==1
			gen eckd`1'g = tm8122 == `b' if ccunivg==1
			gen eckd`1'h = tm8124 == `b' if ccunivh==1

			mac shift
		}
	end

	*This program generates variables for how many hours are spent in different types of primary childcare arrangments
	capture program drop cc_hours 
	program define cc_hours
		while "`1'"~="" {
			if "`1'" == "selfhr" { 
				local b = 12
			}
			if "`1'" == "parhr1" { 
				local b = 1
			}		
			if "`1'" == "ewhsb" {
				local b = 2
			}
			if "`1'" == "granhr" { 
				local b = 3
			}
			if "`1'" == "relhr1" {
				local b = 4
			}
			if "`1'" == "othehr" {
				local b = 5
			}
			if "`1'" == "dayhr" {
				local b = 6
			}
			if "`1'" == "nurhr" {
				local b = 7
			}
			if "`1'" == "hscho1" {
				local b = 8
			}
			if "`1'" == "kidhr1" {
				local b = 10
			}

			gen e`1'a = tm8158 if (ccuniva==1 & tm8120==`b')
			gen e`1'b = tm8160 if (ccunivb==1 & tm8122==`b')
			gen e`1'c = tm8162 if (ccunivc==1 & tm8124==`b')
			gen e`1'f = tm8158 if (ccunivf==1 & tm8120==`b')
			gen e`1'g = tm8160 if (ccunivg==1 & tm8122==`b')
			gen e`1'h = tm8162 if (ccunivh==1 & tm8124==`b')

			mac shift
		}
	end

	*This program generates payment and amount variable for each type of childcare arrangement
	capture program drop cc_pay  
	program define cc_pay
		while "`1'"~="" {
			if "`1'" == "gra" { 
				local b = 3
			}
			if "`1'" == "rel" { 
				local b = 4
			}		
			if "`1'" == "day" {
				local b = 6
			}
			if "`1'" == "nur" { 
				local b = 7
			}
			if "`1'" == "oth" {
				local b = 5
			}

			gen epay`1'a = tm8138 if ccuniva==1 & tm8120==`b'
			gen epay`1'b = tm8140 if ccunivb==1 & tm8122==`b'
			gen epay`1'c = tm8142 if ccunivc==1 & tm8124==`b'
			gen epay`1'f = tm8138 if ccunivf==1 & tm8120==`b'
			gen epay`1'g = tm8140 if ccunivg==1 & tm8122==`b'
			gen epay`1'h = tm8142 if ccunivh==1 & tm8124==`b'

			gen tamt`1'a = tm8152 if ccuniva==1 & tm8120==`b'
			gen tamt`1'b = tm8154 if ccunivb==1 & tm8122==`b'
			gen tamt`1'c = tm8156 if ccunivc==1 & tm8124==`b'
			gen tamt`1'f = tm8152 if ccunivf==1 & tm8120==`b'
			gen tamt`1'g = tm8154 if ccunivg==1 & tm8122==`b'
			gen tamt`1'h = tm8156 if ccunivh==1 & tm8124==`b'

			mac shift
		}
	end

	*This program recodes the amount variable for each type of childcare arrangement. We do this 
	* because respondents may state that the amount paid for chilcare for 2nd and 3rd youngest children
	* (tamt`1'b and tamt`1'c) is the same amount that they stated for the youngest child.  
	* Thus we recode these "equivalent" responses as equal to the amount paid for the youngest child, or in 
	* some cases the second youngest child.
	capture program drop amt_recode  
	program define amt_recode
		while "`1'"~="" {
			replace tamt`1'b=tamt`1'a if tamt`1'b==-2
			replace tamt`1'c=tamt`1'a if tamt`1'c==-2 
			replace tamt`1'c=tamt`1'b if tamt`1'c==-3 
			replace tamt`1'g=tamt`1'f if tamt`1'g==-2
			replace tamt`1'h=tamt`1'f if tamt`1'h==-2 
			replace tamt`1'h=tamt`1'g if tamt`1'h==-3 

			mac shift
		}
	end

	*This program is the main childcare program: it first merges Set C variables with childcare variables
	*then it executes the sub-programs for creating childcare arrangement, hours, and payment variables.
	capture program drop cc_pp
	program define cc_pp

		*Merges: need to merge sfid and age from Set C with the Child care variables from TM files
			cd "$outputq$q"
			use id wave skid* sfid srefmon age using set_c
			cd "$tempdata"
			rename age age1
			sort id wave 
			save test, replace
			if ($t == 6 & $q==92)  {
				cd "$outputq$q"
				use id wave age pnum tm8120 tm8158 tm8122 tm8160 tm8124 tm8162 tm8114 tm8116 tm8118 /*
				*/ tm8138 tm8140 tm8142 tm8152 tm8154 tm8156 tm8188 tm8190 tm8192 tm8202 tm8204 tm8206 /*
				*/ tm8102 tm8103 tm8104 tm8126 tm8128 tm8130 tm8262 tm8264 tm8266 /*
				*/ using sipp92t6, clear
				cd "$tempdata"
			}
			if  ($t == 3 & $q==93) {
				cd "$outputq$q"
				use id wave age pnum tm8120 tm8158 tm8122 tm8160 tm8124 tm8162 tm8114 tm8116 tm8118 /*
				*/ tm8138 tm8140 tm8142 tm8152 tm8154 tm8156 tm8188 tm8190 tm8192 tm8202 tm8204 tm8206 /*
				*/ tm8102 tm8103 tm8104 tm8126 tm8128 tm8130 tm8262 tm8264 tm8266 /*
				*/ using sipp93t3, clear
				cd "$tempdata"
			}
			if ($t == 9 & $q==92)  {
				cd "$outputq$q"
				use id wave age pnum tm8120 tm8158 tm8122 tm8160 tm8124 tm8162 tm8114 tm8116 tm8118 /*
				*/ tm8138 tm8140 tm8142 tm8152 tm8154 tm8156 tm8188 tm8190 tm8192 tm8202 tm8204 tm8206 /*
				*/ tm7079 tm7080 tm7081 tm7093 tm7094 tm7095 tm8126 tm8128 tm8130 /*
				*/ using sipp92t9a, clear
				cd "$tempdata"
			}
			if ($t == 6 & $q==93) {
				cd "$outputq$q"
				use id wave age pnum tm8120 tm8158 tm8122 tm8160 tm8124 tm8162 tm8114 tm8116 tm8118 /*
				*/ tm8138 tm8140 tm8142 tm8152 tm8154 tm8156 tm8188 tm8190 tm8192 tm8202 tm8204 tm8206 /*
				*/ tm7079 tm7080 tm7081 tm7093 tm7094 tm7095 tm8126 tm8128 tm8130 /*
				*/ using sipp93t6a, clear
				cd "$tempdata"
			}
			destring pnum, replace
			sort id wave
			merge id wave using test
			tab _merge
			keep if srefmon==1
			keep if wave==$t   /* keep only the waves corresponding to the TM file we are using */
			drop _merge 
			gen ppanel = $q

		*Attach children's ages to parents  (program defined above)
			age_attach tm8114 tm8116 tm8118   /* these are the person numbers for 1st, 2nd, & 3rd youngest child */

		*Childcare arrangements				(primary arrangement for each child only)
			gen ccuniva = tm8120>0 & tm8120~=9 & kid1sub6==1
			gen ccunivb = tm8122>0 & tm8122~=9 & kid2sub6==1
			gen ccunivc = tm8124>0 & tm8124~=9 & kid3sub6==1

			gen ccunivf = tm8120>0 & tm8120~=9 & kid1sub6==0
			gen ccunivg = tm8122>0 & tm8122~=9 & kid2sub6==0
			gen ccunivh = tm8124>0 & tm8124~=9 & kid3sub6==0

			gen ccuniv_kid1 = tm8120>0 & tm8120~=9 & kid1sub6==. & tm8120~=.
			gen ccuniv_kid2 = tm8122>0 & tm8122~=9 & kid2sub6==. & tm8122~=.
			gen ccuniv_kid3 = tm8124>0 & tm8124~=9 & kid3sub6==. & tm8124~=.

			cc_arrange "01"  "02" "03" "05" "06" "08" "09" "11" "12" "14"

			*** eckd10 = Head Start 
			if ($t == 6 & $q==92) | ($t == 3 & $p==93) {
				gen eckd10a=tm8103 if ccuniva==1
				gen eckd10b=tm8103 if ccunivb==1
				gen eckd10c=tm8103 if ccunivc==1
			}
			if ($t == 9 & $q==92) | ($t == 6 & $q==93) {
				gen eckd10a = tm7079==1 if ccuniva==1 
				gen eckd10b = tm7080==1 if ccunivb==1 
				gen eckd10c = tm7081==1 if ccunivc==1
			}
			gen eckd10f=.
			gen eckd10g=.
			gen eckd10h=.		
			recode eckd10* (2=0)

		*Hours in childcare for different types of childcare arrangements (primary arrangement only)	
			cc_hours selfhr parhr1 ewhsb granhr relhr1 othehr dayhr nurhr hscho1 kidhr1

			*** eselfca = dummy for whether or not child cared for self		
			gen eselfcaa =  tm8120==10 if ccuniva==1
			gen eselfcab =  tm8122==10 if ccunivb==1
			gen eselfcac =  tm8124==10 if ccunivc==1
			gen eselfcaf =  tm8120==10 if ccunivf==1
			gen eselfcag =  tm8122==10 if ccunivg==1
			gen eselfcah =  tm8124==10 if ccunivh==1

		*Payments for different types of childcare (primary arrangement only)
			cc_pay gra rel day nur oth
			tab wave
			*recode payment
			recode epay* (2=0)
			*recode amounts		
			amt_recode gra rel day nur oth

		*place of care
			gen ewhothea=tm8126 if ccuniva==1 & (tm8120>0 | tm8120<=5)
			gen ewhotheb=tm8128 if ccunivb==1 & (tm8122>0 | tm8122<=5)
			gen ewhothec=tm8130 if ccunivc==1 & (tm8124>0 | tm8124<=5)
			gen ewhothef=tm8126 if ccunivf==1 & (tm8120>0 | tm8120<=5)
			gen ewhotheg=tm8128 if ccunivg==1 & (tm8122>0 | tm8122<=5)
			gen ewhotheh=tm8130 if ccunivh==1 & (tm8124>0 | tm8124<=5)

		*number of arrangements (calendar year 1993 only)
			if ($t == 6 & $q==92) | ($t == 3 & $q==93) {
				gen earranga=tm8262 if ccuniva==1
				gen earrangb=tm8264 if ccuniva==1
				gen earrangc=tm8266 if ccuniva==1
				gen earrangf=tm8262 if ccuniva==1
				gen earrangg=tm8264 if ccuniva==1
				gen earrangh=tm8266 if ccuniva==1
			}

		*rename person numbers
			gen eccpnuma=tm8114 if ccuniva==1
			gen eccpnumb=tm8116 if ccunivb==1
			gen eccpnumc=tm8118 if ccunivc==1
			gen eccpnumf=tm8114 if ccunivf==1
			gen eccpnumg=tm8116 if ccunivg==1
			gen eccpnumh=tm8118 if ccunivh==1
			gen epppnum=pnum

		*drop tm* pnum

		aorder 
		compress

		if ($t == 6 & $q==92) {
			save set_e_92t6, replace
		}
		if ($t == 3 & $q==93) {
			save set_e_93t3, replace
		}
		if ($t == 9 & $q==92) {
			save set_e_92t9, replace		
		}
		if ($t == 6 & $q==93)  {
			save set_e_93t6, replace		
		}

	end

	*For calendar year 1993:
	global q = "92"
	local t = "6"
	global t = "6"
	cc_pp

	global q = "93"
	local t = "3"
	global t = "3"
	cc_pp

	*For calendar year 1994:
	global q = "92"
	local t = "9"
	global t = "9"
	cc_pp

	global q = "93"
	local t = "6"
	global t = "6"
	cc_pp

	
	use set_e_92t6, clear
	append using set_e_92t9
	tab wave
	save set_e_92, replace

	use set_e_93t3, clear
	append using set_e_93t6
	tab wave
	save set_e_93, replace

	append using set_e_92
	tab wave
	gen yr=1993
	replace yr=1994 if (wave==9) | (wave==6 & ppanel==93)
	tab wave yr
	*drop ppanel
	save set_e_9293.dta, replace

	*log close


}

	

if $p==96 | $p==01 | "$p" == "04" | "$p" == "08" {
	loop$p
}





