
/* Please do not attempt to run this program without reading the accompanying documentation*/

version 8.0
set more off
prog drop _all
capture log close
clear

cd "$log"
log using set_f$p.log, replace
cd "$tempdata"

/*
File: pull f (income).do
Date: May 2012
Desc: Pull-file to creat Set F
Note: See acknowledgements and copyright notice in new_master.do.
*/


* need to pull from each wave and merge

capture program drop loop08
program define loop08

	global fvarlist "$ids tage rhpov rfpov rsfpov thearn thprpinc thtrninc thothinc thtotinc tfearn tfprpinc tftrninc tfothinc tftotinc tsfearn tsprpinc tstrninc tsothinc tstotinc tpearn tpprpinc tptrninc tpothinc tptotinc thnoncsh thsocsec thssi thunemp thvets thafdc thfdstp tfsocsec tfssi tfunemp tfvets tfafdc tffdstp tssocsec tsssi tsunemp tsvets tsafdc tsfdstp"

	forvalues i=1/8 {
		if `i' == 1 use $fvarlist using $c`i', clear
		if `i' > 1 append using $c`i', keep($fvarlist)
	}

	rename rhpov thpov
	rename rfpov tfpov
	rename rsfpov tsfpov
	rename tage age

	cd "$tempdata"
	save test, replace
end



capture program drop loop04
program define loop04

	global fvarlist "$ids tage rhpov rfpov rsfpov thearn thprpinc thtrninc thothinc thtotinc tfearn tfprpinc tftrninc tfothinc tftotinc tsfearn tsprpinc tstrninc tsothinc tstotinc tpearn tpprpinc tptrninc tpothinc tptotinc thnoncsh thsocsec thssi thunemp thvets thafdc thfdstp tfsocsec tfssi tfunemp tfvets tfafdc tffdstp tssocsec tsssi tsunemp tsvets tsafdc tsfdstp"

	forvalues i=1/12 {
		if `i' == 1 use $fvarlist using $c`i', clear
		if `i' > 1 append using $c`i', keep($fvarlist)
	}

	rename rhpov thpov
	rename rfpov tfpov
	rename rsfpov tsfpov
	rename tage age

	cd "$tempdata"
	save test, replace
end

capture program drop loop01
program define loop01
	local i=1
	use $ids tage rhpov rfpov rsfpov thearn thprpinc thtrninc thothinc thtotinc tfearn tfprpinc tftrninc /*
	*/ tfothinc tftotinc tsfearn tsprpinc tstrninc tsothinc tstotinc tpearn /*
	*/ tpprpinc tptrninc tpothinc tptotinc thnoncsh thsocsec thssi thunemp thvets thafdc thfdstp /*
	*/ tfsocsec tfssi tfunemp tfvets tfafdc tffdstp /*
	*/ tssocsec tsssi tsunemp tsvets tsafdc tsfdstp using $c`i', clear
	sort $ids
	save test, replace
	local i = `i'+1
	while `i'>1 & `i'<10 {
		use $ids tage rhpov rfpov rsfpov thearn thprpinc thtrninc thothinc thtotinc tfearn tfprpinc /*
		*/ tfothinc tftotinc tsfearn tsprpinc tstrninc tsothinc tstotinc tpearn /*
		*/ tftrninc  tpprpinc tptrninc tpothinc tptotinc thnoncsh thsocsec thssi thunemp thvets thafdc  /*
		*/ thfdstp tfsocsec tfssi tfunemp tfvets tfafdc tffdstp /*
		*/ tssocsec tsssi tsunemp tsvets tsafdc tsfdstp using $c`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 
	*give uniform names
	rename rhpov thpov
	rename rfpov tfpov
	rename rsfpov tsfpov
	rename tage age
end

capture program drop loop96
program define loop96
	local i=1
	use $ids tage thpov tfpov tsfpov thearn thprpinc thtrninc thothinc thtotinc tfearn tfprpinc tftrninc /*
	*/ tfothinc tftotinc tsfearn tsprpinc tstrninc tsothinc tstotinc tpearn /*
	*/ tpprpinc tptrninc tpothinc tptotinc  thnoncsh thsocsec thssi thunemp thvets thafdc thfdstp /*
	*/ tfsocsec tfssi tfunemp tfvets tfafdc tffdstp /*
	*/ tssocsec tsssi tsunemp tsvets tsafdc tsfdstp using $f`i', clear
	sort $ids
	save test, replace
	local i = `i'+1
	while `i'>1 & `i'<13 {
		use $ids tage thpov tfpov tsfpov thearn thprpinc thtrninc thothinc thtotinc tfearn tfprpinc tftrninc /*
		*/ tfothinc tftotinc tsfearn tsprpinc tstrninc tsothinc tstotinc tpearn /*
		*/ tpprpinc tptrninc tpothinc tptotinc  thnoncsh thsocsec thssi thunemp thvets thafdc thfdstp /*
		*/ tfsocsec tfssi tfunemp tfvets tfafdc tffdstp /*
		*/ tssocsec tsssi tsunemp tsvets tsafdc tsfdstp using $f`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 
	*give uniform names

	rename tage age
end

capture program drop loop93
program define loop93
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* ff_ear* ff_pro* ff_tra* ff_oth* /*
	*/ hh_inc* hh_ear* hh_pro* hh_tra* hh_oth* /*
	*/ using sipp93l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix ff_ear0 ff_ear
	renpfix ff_pro0 ff_pro
	renpfix ff_tra0 ff_tra
	renpfix ff_oth0 ff_oth
	renpfix hh_inc0 hh_inc
	renpfix hh_ear0 hh_ear
	renpfix hh_pro0 hh_pro
	renpfix hh_tra0 hh_tra
	renpfix hh_oth0 hh_oth
		
	reshape long age ff_pov pp_ear pp_inc ff_inc ff_ear ff_pro ff_tra ff_oth /*
	*/ hh_inc hh_ear hh_pro hh_tra hh_oth, i(id) j(mnth)
	
	cd "$programs"
	do monthwave93
	cd "$tempdata"
	
	count if id==""
	drop if id==""
	sort id wave month
	save testm, replace
		
	* Core data
	local i=1
	cd "$cleandata"
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/  using sipp93w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<10 {
		cd "$cleandata"
		use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
		*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
		*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
		*/  using sipp93w`i', clear
		cd "$tempdata"
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 
	
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
		
	save test, replace
	
	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename prop tpprpinc
	rename tran tptrninc
	rename other tpothinc
		
	rename ff_inc tftotinc
	rename ff_ear tfearn
	rename ff_pro tfprpinc
	rename ff_tra tftrninc
	rename ff_oth tfothinc
		
	rename hh_inc thtotinc
	rename hh_ear thearn
	rename hh_pro thprpinc
	rename hh_tra thtrninc
	rename hh_oth thothinc
		
	rename ff_pov tfpov
	rename hpov thpov
	rename spov tsfpov
	
	rename searn tsfearn
	rename sprop tsprpinc
	rename stran tstrninc
	rename sother tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename hssi thssi
	rename hunemp thunemp
	rename hvets thvets
	rename hafdc thafdc
	rename hfdstp thfdstp
	rename fsocsec tfsocsec
	rename fssi tfssi
	rename funemp tfunemp
	rename fvets tfvets
	rename fafdc tfafdc
	rename ffdstp tffdstp
	rename ssocsec tssocsec
	rename sssi tsssi
	rename sunemp tsunemp
	rename svets tsvets
	rename safdc tsafdc
	rename sfdstp tsfdstp
		
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
end
	
capture program drop loop92
program define loop92
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* ff_ear* ff_pro* ff_tra* ff_oth* /*
	*/ hh_inc* hh_ear* hh_pro* hh_tra* hh_oth* /*
	*/ using sipp92l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix ff_ear0 ff_ear
	renpfix ff_pro0 ff_pro
	renpfix ff_tra0 ff_tra
	renpfix ff_oth0 ff_oth
	renpfix hh_inc0 hh_inc
	renpfix hh_ear0 hh_ear
	renpfix hh_pro0 hh_pro
	renpfix hh_tra0 hh_tra
	renpfix hh_oth0 hh_oth
	
	reshape long age ff_pov pp_ear pp_inc ff_inc ff_ear ff_pro ff_tra ff_oth /*
	*/ hh_inc hh_ear hh_pro hh_tra hh_oth, i(id) j(mnth)

	cd "$programs"
	do monthwave92.do
	cd "$tempdata"
	
	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp92w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<10 {
		cd "$cleandata"
		use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
		*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
		*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
		*/  using sipp92w`i', clear
		cd "$tempdata"
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename prop tpprpinc
	rename tran tptrninc
	rename other tpothinc
	
	rename ff_inc tftotinc
	rename ff_ear tfearn
	rename ff_pro tfprpinc
	rename ff_tra tftrninc
	rename ff_oth tfothinc
	
	rename hh_inc thtotinc
	rename hh_ear thearn
	rename hh_pro thprpinc
	rename hh_tra thtrninc
	rename hh_oth thothinc
	
	rename ff_pov tfpov
	rename hpov thpov
	rename spov tsfpov

	rename searn tsfearn
	rename sprop tsprpinc
	rename stran tstrninc
	rename sother tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename hssi thssi
	rename hunemp thunemp
	rename hvets thvets
	rename hafdc thafdc
	rename hfdstp thfdstp
	rename fsocsec tfsocsec
	rename fssi tfssi
	rename funemp tfunemp
	rename fvets tfvets
	rename fafdc tfafdc
	rename ffdstp tffdstp
	rename ssocsec tssocsec
	rename sssi tsssi
	rename sunemp tsunemp
	rename svets tsvets
	rename safdc tsafdc
	rename sfdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end

capture program drop loop91
program define loop91
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* ff_ear* ff_pro* ff_tra* ff_oth* /*
	*/ hh_inc* hh_ear* hh_pro* hh_tra* hh_oth* /*
	*/ using sipp91l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix ff_ear0 ff_ear
	renpfix ff_pro0 ff_pro
	renpfix ff_tra0 ff_tra
	renpfix ff_oth0 ff_oth
	renpfix hh_inc0 hh_inc
	renpfix hh_ear0 hh_ear
	renpfix hh_pro0 hh_pro
	renpfix hh_tra0 hh_tra
	renpfix hh_oth0 hh_oth
	
	reshape long age ff_pov pp_ear pp_inc ff_inc ff_ear ff_pro ff_tra ff_oth /*
	*/ hh_inc hh_ear hh_pro hh_tra hh_oth, i(id) j(mnth)

	cd "$programs"
	do monthwave91
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp91w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		cd "$cleandata"
		use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
		*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
		*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
		*/  using sipp91w`i', clear
		cd "$tempdata"
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename prop tpprpinc
	rename tran tptrninc
	rename other tpothinc
	
	rename ff_inc tftotinc
	rename ff_ear tfearn
	rename ff_pro tfprpinc
	rename ff_tra tftrninc
	rename ff_oth tfothinc
	
	rename hh_inc thtotinc
	rename hh_ear thearn
	rename hh_pro thprpinc
	rename hh_tra thtrninc
	rename hh_oth thothinc
	
	rename ff_pov tfpov
	rename hpov thpov
	rename spov tsfpov

	rename searn tsfearn
	rename sprop tsprpinc
	rename stran tstrninc
	rename sother tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename hssi thssi
	rename hunemp thunemp
	rename hvets thvets
	rename hafdc thafdc
	rename hfdstp thfdstp
	rename fsocsec tfsocsec
	rename fssi tfssi
	rename funemp tfunemp
	rename fvets tfvets
	rename fafdc tfafdc
	rename ffdstp tffdstp
	rename ssocsec tssocsec
	rename sssi tsssi
	rename sunemp tsunemp
	rename svets tsvets
	rename safdc tsafdc
	rename sfdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end

capture program drop loop90
program define loop90
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* ff_ear* ff_pro* ff_tra* ff_oth* /*
	*/ hh_inc* hh_ear* hh_pro* hh_tra* hh_oth* /*
	*/ using sipp90l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix ff_ear0 ff_ear
	renpfix ff_pro0 ff_pro
	renpfix ff_tra0 ff_tra
	renpfix ff_oth0 ff_oth
	renpfix hh_inc0 hh_inc
	renpfix hh_ear0 hh_ear
	renpfix hh_pro0 hh_pro
	renpfix hh_tra0 hh_tra
	renpfix hh_oth0 hh_oth
	
	reshape long age ff_pov pp_ear pp_inc ff_inc ff_ear ff_pro ff_tra ff_oth /*
	*/ hh_inc hh_ear hh_pro hh_tra hh_oth, i(id) j(mnth)

	cd "$programs"
	do monthwave90.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp90w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		cd "$cleandata"
		use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
		*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
		*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
		*/  using sipp90w`i', clear
		cd "$tempdata"
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename prop tpprpinc
	rename tran tptrninc
	rename other tpothinc
	
	rename ff_inc tftotinc
	rename ff_ear tfearn
	rename ff_pro tfprpinc
	rename ff_tra tftrninc
	rename ff_oth tfothinc
	
	rename hh_inc thtotinc
	rename hh_ear thearn
	rename hh_pro thprpinc
	rename hh_tra thtrninc
	rename hh_oth thothinc
	
	rename ff_pov tfpov
	rename hpov thpov
	rename spov tsfpov

	rename searn tsfearn
	rename sprop tsprpinc
	rename stran tstrninc
	rename sother tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename hssi thssi
	rename hunemp thunemp
	rename hvets thvets
	rename hafdc thafdc
	rename hfdstp thfdstp
	rename fsocsec tfsocsec
	rename fssi tfssi
	rename funemp tfunemp
	rename fvets tfvets
	rename fafdc tfafdc
	rename ffdstp tffdstp
	rename ssocsec tssocsec
	rename sssi tsssi
	rename sunemp tsunemp
	rename svets tsvets
	rename safdc tsafdc
	rename sfdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


capture program drop loop89
program define loop89
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* /*
	*/ hh_inc* /*
	*/ using sipp89l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix hh_inc0 hh_inc
	
	reshape long age ff_pov pp_ear pp_inc ff_inc /*
	*/ hh_inc, i(id) j(mnth)

	cd "$programs"
	do monthwave89.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	/*
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp89w`i', clear
	*/
	use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
	*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
	*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
	*/ using sipp89w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		cd "$cleandata"
		/*
		use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
		*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
		*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
		*/  using sipp89w`i', clear
		*/
		use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
		*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
		*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
		*/  using sipp89w`i', clear
		cd "$tempdata"
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
	} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename pp_prop tpprpinc
	rename pp_tran tptrninc
	rename ppother tpothinc
	
	rename ff_inc tftotinc
	
	rename hh_inc thtotinc
	
	rename ff_pov tfpov
	rename h_pov thpov
	rename s_pov tsfpov

	rename s_earn tsfearn
	rename s_prop tsprpinc
	rename s_tran tstrninc
	rename s_other tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename h_ssi thssi
	rename h_unemp thunemp
	rename h_vets thvets
	rename h_afdc thafdc
	rename h_fdstp thfdstp
	rename fsocsec tfsocsec
	rename f_ssi tfssi
	rename f_unemp tfunemp
	rename f_vets tfvets
	rename f_afdc tfafdc
	rename f_fdstp tffdstp
	rename ssocsec tssocsec
	rename s_ssi tsssi
	rename s_unemp tsunemp
	rename s_vets tsvets
	rename s_afdc tsafdc
	rename s_fdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


capture program drop loop88
program define loop88
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* /*
	*/ hh_inc* /*
	*/ using sipp88l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix hh_inc0 hh_inc
	
	reshape long age ff_pov pp_ear pp_inc ff_inc /*
	*/ hh_inc, i(id) j(mnth)

	cd "$programs"
	do monthwave88.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	/*
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp88w`i', clear
	*/
	use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
	*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
	*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
	*/ using sipp88w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		cd "$cleandata"
		capture confirm file "$c`i'.dta"
		if !_rc {
			/*
			use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
			*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
			*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
			*/  using sipp88w`i', clear
			*/
			use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
			*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
			*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
			*/  using sipp88w`i', clear
			cd "$tempdata"
			sort $ids
			append using test
			sort $ids
			save test, replace
		}
		local i=`i'+1
	} 
	
	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename pp_prop tpprpinc
	rename pp_tran tptrninc
	rename ppother tpothinc
	
	rename ff_inc tftotinc
	
	rename hh_inc thtotinc
	
	rename ff_pov tfpov
	rename h_pov thpov
	rename s_pov tsfpov

	rename s_earn tsfearn
	rename s_prop tsprpinc
	rename s_tran tstrninc
	rename s_other tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename h_ssi thssi
	rename h_unemp thunemp
	rename h_vets thvets
	rename h_afdc thafdc
	rename h_fdstp thfdstp
	rename fsocsec tfsocsec
	rename f_ssi tfssi
	rename f_unemp tfunemp
	rename f_vets tfvets
	rename f_afdc tfafdc
	rename f_fdstp tffdstp
	rename ssocsec tssocsec
	rename s_ssi tsssi
	rename s_unemp tsunemp
	rename s_vets tsvets
	rename s_afdc tsafdc
	rename s_fdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


capture program drop loop87
program define loop87
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* /*
	*/ hh_inc* /*
	*/ using sipp87l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix hh_inc0 hh_inc
	
	reshape long age ff_pov pp_ear pp_inc ff_inc /*
	*/ hh_inc, i(id) j(mnth)

	cd "$programs"
	do monthwave87.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	/*
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp87w`i', clear
	*/
	use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
	*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
	*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
	*/ using sipp87w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		capture confirm file "$c`i'.dta"
		if !_rc {
			cd "$cleandata"
			/*
			use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
			*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
			*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
			*/  using sipp87w`i', clear
			*/
			use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
			*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
			*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
			*/  using sipp87w`i', clear
			cd "$tempdata"
			sort $ids
			append using test
			sort $ids
			save test, replace
			}
		local i=`i'+1
	} 

	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename pp_prop tpprpinc
	rename pp_tran tptrninc
	rename ppother tpothinc
	
	rename ff_inc tftotinc
	
	rename hh_inc thtotinc
	
	rename ff_pov tfpov
	rename h_pov thpov
	rename s_pov tsfpov

	rename s_earn tsfearn
	rename s_prop tsprpinc
	rename s_tran tstrninc
	rename s_other tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename h_ssi thssi
	rename h_unemp thunemp
	rename h_vets thvets
	rename h_afdc thafdc
	rename h_fdstp thfdstp
	rename fsocsec tfsocsec
	rename f_ssi tfssi
	rename f_unemp tfunemp
	rename f_vets tfvets
	rename f_afdc tfafdc
	rename f_fdstp tffdstp
	rename ssocsec tssocsec
	rename s_ssi tsssi
	rename s_unemp tsunemp
	rename s_vets tsvets
	rename s_afdc tsafdc
	rename s_fdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end

capture program drop loop86
program define loop86
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* /*
	*/ hh_inc* /*
	*/ using sipp86l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix hh_inc0 hh_inc
	
	reshape long age ff_pov pp_ear pp_inc ff_inc /*
	*/ hh_inc, i(id) j(mnth)

	cd "$programs"
	do monthwave86.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	/*
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp86w`i', clear
	*/
	use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
	*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
	*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
	*/ using sipp86w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		cd "$cleandata"
		capture confirm file "$c`i'.dta"
		if !_rc {
			/*
			use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
			*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
			*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
			*/  using sipp86w`i', clear
			*/
			use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
			*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
			*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
			*/  using sipp86w`i', clear
			cd "$tempdata"
			sort $ids
			append using test
			sort $ids
			save test, replace
			}
		local i=`i'+1
	} 

	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename pp_prop tpprpinc
	rename pp_tran tptrninc
	rename ppother tpothinc
	
	rename ff_inc tftotinc
	
	rename hh_inc thtotinc
	
	rename ff_pov tfpov
	rename h_pov thpov
	rename s_pov tsfpov

	rename s_earn tsfearn
	rename s_prop tsprpinc
	rename s_tran tstrninc
	rename s_other tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename h_ssi thssi
	rename h_unemp thunemp
	rename h_vets thvets
	rename h_afdc thafdc
	rename h_fdstp thfdstp
	rename fsocsec tfsocsec
	rename f_ssi tfssi
	rename f_unemp tfunemp
	rename f_vets tfvets
	rename f_afdc tfafdc
	rename f_fdstp tffdstp
	rename ssocsec tssocsec
	rename s_ssi tsssi
	rename s_unemp tsunemp
	rename s_vets tsvets
	rename s_afdc tsafdc
	rename s_fdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


capture program drop loop85
program define loop85
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* /*
	*/ hh_inc* /*
	*/ using sipp85l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix hh_inc0 hh_inc
	
	reshape long age ff_pov pp_ear pp_inc ff_inc /*
	*/ hh_inc, i(id) j(mnth)

	cd "$programs"
	do monthwave85.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	/*
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp85w`i', clear
	*/
	use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
	*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
	*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
	*/ using sipp85w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		cd "$cleandata"
		capture confirm file "$c`i'.dta"
		if !_rc {
			/*
			use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
			*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
			*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
			*/  using sipp85w`i', clear
			*/
			use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
			*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
			*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
			*/  using sipp85w`i', clear
			cd "$tempdata"
			sort $ids
			append using test
			sort $ids
			save test, replace
		}
		local i=`i'+1
	} 

	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename pp_prop tpprpinc
	rename pp_tran tptrninc
	rename ppother tpothinc
	
	rename ff_inc tftotinc
	
	rename hh_inc thtotinc
	
	rename ff_pov tfpov
	rename h_pov thpov
	rename s_pov tsfpov

	rename s_earn tsfearn
	rename s_prop tsprpinc
	rename s_tran tstrninc
	rename s_other tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename h_ssi thssi
	rename h_unemp thunemp
	rename h_vets thvets
	rename h_afdc thafdc
	rename h_fdstp thfdstp
	rename fsocsec tfsocsec
	rename f_ssi tfssi
	rename f_unemp tfunemp
	rename f_vets tfvets
	rename f_afdc tfafdc
	rename f_fdstp tffdstp
	rename ssocsec tssocsec
	rename s_ssi tsssi
	rename s_unemp tsunemp
	rename s_vets tsvets
	rename s_afdc tsafdc
	rename s_fdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


capture program drop loop84
program define loop84
	* Longitudinal data: create two files 1) by id wave; 3) by id wave month
	* id month wave
	cd "$cleandata"
	use id rot age* ff_pov* pp_ear* pp_inc* ff_inc* /*
	*/ hh_inc* /*
	*/ using sipp84l1, clear
	cd "$tempdata"
	renpfix age_0 age
	renpfix age_ age
	renpfix ff_pov0 ff_pov
	renpfix pp_ear0 pp_ear
	renpfix pp_inc0 pp_inc
	renpfix ff_inc0 ff_inc
	renpfix hh_inc0 hh_inc
	
	reshape long age ff_pov pp_ear pp_inc ff_inc /*
	*/ hh_inc, i(id) j(mnth)

	cd "$programs"
	do monthwave84.do
	cd "$tempdata"

	sort id wave month
	save testm, replace
	
	* Core data
	local i=1
	cd "$cleandata"
	/*
	use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
	*/hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
	*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
	*/ using sipp84w`i', clear
	*/
	use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
	*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
	*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
	*/ using sipp84w`i', clear
	cd "$tempdata"
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>1 & `i'<9 {
		cd "$cleandata"
		capture confirm file "$c`i'.dta"
		if !_rc {
			/*
			use $ids month hpov spov prop tran other searn sprop stran sother stotinc /*
			*/ month hnoncsh hsocsec hssi hunemp hvets hafdc hfdstp /*
			*/ fsocsec fssi funemp fvets fafdc ffdstp ssocsec sssi sunemp svets safdc sfdstp /*
			*/  using sipp84w`i', clear
			*/
			use $ids month h_povd s_povd pp_prop pp_tran ppother s_earn s_prop s_tran s_other stotinc /*
			*/hnoncsh hsocsec h_ssi h_unemp h_vets h_afdc h_fdstp /*
			*/ fsocsec f_ssi f_unemp f_vets f_afdc f_fdstp ssocsec s_ssi s_unemp s_vets s_afdc s_fdstp /*
			*/  using sipp84w`i', clear
			cd "$tempdata"
			sort $ids
			append using test
			sort $ids
			save test, replace
		}
		local i=`i'+1
	} 

	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename pp_ear tpearn
	rename pp_inc tptotinc
	rename pp_prop tpprpinc
	rename pp_tran tptrninc
	rename ppother tpothinc
	
	rename ff_inc tftotinc
	
	rename hh_inc thtotinc
	
	rename ff_pov tfpov
	rename h_pov thpov
	rename s_pov tsfpov

	rename s_earn tsfearn
	rename s_prop tsprpinc
	rename s_tran tstrninc
	rename s_other tsothinc
	rename stotinc tstotinc
	
	rename hnoncsh thnoncsh
	rename hsocsec thsocsec
	rename h_ssi thssi
	rename h_unemp thunemp
	rename h_vets thvets
	rename h_afdc thafdc
	rename h_fdstp thfdstp
	rename fsocsec tfsocsec
	rename f_ssi tfssi
	rename f_unemp tfunemp
	rename f_vets tfvets
	rename f_afdc tfafdc
	rename f_fdstp tffdstp
	rename ssocsec tssocsec
	rename s_ssi tsssi
	rename s_unemp tsunemp
	rename s_vets tsvets
	rename s_afdc tsafdc
	rename s_fdstp tsfdstp
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


loop$p
compress

