/*
File: pull_i_workschedules.do
Date: July, 2005
Desc: This program pulls variables from the extracted SIPP data for Set I.
Note: See instructions, acknowledgements, and copyright notice in master.do.
*/

/* Please do not attempt to run this program without reading the accompanying documentation*/

version 8.0
set more off
prog drop _all
capture log close
clear

cd "$log"
log using set_i$p.log, replace
cd "$tempdata"


************
****2008****
************

capture program drop loop08
program define loop08
	cd "$cleandata"
	use $idw ews* tage using sipp08t5, clear
	rename tage age
	sort $idw
	cd "$tempdata"
	save test, replace
end



************
****2004****
************

capture program drop loop04
program define loop04
	cd "$cleandata"
	use $idw ews* tage using sipp04t4, clear
	rename tage age
	sort $idw
	cd "$tempdata"
	save test, replace
end


************
****2001****
************

capture program drop loop01
program define loop01
	cd "$cleandata"
	use $idw ews* tage using sipp01t4, clear
	cd "$tempdata"
	sort $idw
	rename tage age
	save test, replace
end




************
****1996****
************

capture program drop loop96
program define loop96
	cd "$cleandata"
	use $idw ews* tage using sipp96t4, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw ews* tage using sipp96t10, clear
	cd "$tempdata"
	append using test
	sort $idw
	rename tage age
	save test, replace
end




************
****1993****
************

capture program drop loop93
program define loop93
	cd "$cleandata"
	use $idw age tm8048 tm8052 tm8050 tm8054 tm8016 tm8020 tm8024 tm8028 tm8032 tm8036 tm8040 /*
	*/ tm8018 tm8022 tm8026 tm8030 tm8034 tm8038 tm8042 tm8070 tm8072 tm8074 tm8076 tm8078 /*
	*/ tm8080 tm8082 tm8071 tm8073 tm8075 tm8077 tm8079 tm8081 tm8083 tm8002 tm8056 tm8060 /*
	*/ tm8058 tm8062 tm8004 tm8006 tm8086 tm8087 tm8088 tm8089 using sipp93t9a, clear
	cd "$tempdata"
	sort $idw
	save test, replace

	rename tm8048 ewsbeg1
	rename tm8052 ewsbeg2
	rename tm8050 ewsbegm1
	rename tm8054 ewsbegm2
	rename tm8016 ewsday11
	rename tm8020 ewsday12
	rename tm8024 ewsday13
	rename tm8028 ewsday14
	rename tm8032 ewsday15
	rename tm8036 ewsday16
	rename tm8040 ewsday17
	rename tm8018 ewsday21
	rename tm8022 ewsday22
	rename tm8026 ewsday23
	rename tm8030 ewsday24
	rename tm8034 ewsday25
	rename tm8038 ewsday26
	rename tm8042 ewsday27
	rename tm8070 ewsdy11
	rename tm8072 ewsdy12
	rename tm8074 ewsdy13
	rename tm8076 ewsdy14
	rename tm8078 ewsdy15
	rename tm8080 ewsdy16
	rename tm8082 ewsdy17
	rename tm8071 ewsdy21
	rename tm8073 ewsdy22
	rename tm8075 ewsdy23
	rename tm8077 ewsdy24
	rename tm8079 ewsdy25
	rename tm8081 ewsdy26
	rename tm8083 ewsdy27
	rename tm8002 ewsempct
	rename tm8056 ewsend1
	rename tm8060 ewsend2
	rename tm8058 ewsendm1
	rename tm8062 ewsendm2
	rename tm8004 ewshrs1
	rename tm8006 ewshrs2
	rename tm8086 ewsjob1
	rename tm8087 ewsjob2
	rename tm8088 ewsmnr1
	rename tm8089 ewsmnr2

		
	
	sort $idw
	save test, replace

end




************
****1992****
************

capture program drop loop92
program define loop92

	cd "$cleandata"
	use $idw age tm8048 tm8052 tm8050 tm8054 tm8016 tm8020 tm8024 tm8028 tm8032 tm8036 tm8040 /*
	*/ tm8018 tm8022 tm8026 tm8030 tm8034 tm8038 tm8042 tm8070 /*
	*/ tm8002 tm8056 tm8060 tm8064 tm8066/*
	*/ tm8058 tm8062 tm8068 tm8004 tm8006 using sipp92t9a, clear
	cd "$tempdata"
	sort $idw
	save test, replace

	rename tm8048 ewsbeg1
	rename tm8052 ewsbeg2
	rename tm8050 ewsbegm1
	rename tm8054 ewsbegm2
	rename tm8016 ewsday11
	rename tm8020 ewsday12
	rename tm8024 ewsday13
	rename tm8028 ewsday14
	rename tm8032 ewsday15
	rename tm8036 ewsday16
	rename tm8040 ewsday17
	rename tm8018 ewsday21
	rename tm8022 ewsday22
	rename tm8026 ewsday23
	rename tm8030 ewsday24
	rename tm8034 ewsday25
	rename tm8038 ewsday26
	rename tm8042 ewsday27
	rename tm8002 ewsempct
	rename tm8056 ewsend1
	rename tm8060 ewsend2
	rename tm8058 ewsendm1
	rename tm8062 ewsendm2
	rename tm8004 ewshrs1
	rename tm8006 ewshrs2
	rename tm8064 ewsjob1
	rename tm8066 ewsjob2
	rename tm8068 ewsmnr1
	rename tm8070 ewsmnr2

		
	sort $idw
	save test, replace

end




************
****1991****
************	
	
capture program drop loop91
program define loop91
	
	cd "$cleandata"
	use $idw age tm8048 tm8052 tm8050 tm8054 tm8016 tm8020 tm8024 tm8028 tm8032 tm8036 tm8040 /*
	*/ tm8018 tm8022 tm8026 tm8030 tm8034 tm8038 tm8042 tm8070 /*
	*/ tm8002 tm8056 tm8060 tm8064 tm8066/*
	*/ tm8058 tm8062 tm8068 tm8004 tm8006 using sipp91t3, clear
	cd "$tempdata"
	sort $idw
	save test, replace

	rename tm8048 ewsbeg1
	rename tm8052 ewsbeg2
	rename tm8050 ewsbegm1
	rename tm8054 ewsbegm2
	rename tm8016 ewsday11
	rename tm8020 ewsday12
	rename tm8024 ewsday13
	rename tm8028 ewsday14
	rename tm8032 ewsday15
	rename tm8036 ewsday16
	rename tm8040 ewsday17
	rename tm8018 ewsday21
	rename tm8022 ewsday22
	rename tm8026 ewsday23
	rename tm8030 ewsday24
	rename tm8034 ewsday25
	rename tm8038 ewsday26
	rename tm8042 ewsday27
	rename tm8002 ewsempct
	rename tm8056 ewsend1
	rename tm8060 ewsend2
	rename tm8058 ewsendm1
	rename tm8062 ewsendm2
	rename tm8004 ewshrs1
	rename tm8006 ewshrs2
	rename tm8064 ewsjob1
	rename tm8066 ewsjob2
	rename tm8068 ewsmnr1
	rename tm8070 ewsmnr2

		
	sort $idw
	save test, replace

end




************
****1990****
************	

capture program drop loop90
program define loop90

	cd "$cleandata"
	use $idw age tm8048 tm8052 tm8050 tm8054 tm8016 tm8020 tm8024 tm8028 tm8032 tm8036 tm8040 /*
	*/ tm8018 tm8022 tm8026 tm8030 tm8034 tm8038 tm8042 tm8070 /*
	*/ tm8002 tm8056 tm8060 tm8064 tm8066/*
	*/ tm8058 tm8062 tm8068 tm8004 tm8006 using sipp90t3, clear
	cd "$tempdata"
	sort $idw
	save test, replace

	rename tm8048 ewsbeg1
	rename tm8052 ewsbeg2
	rename tm8050 ewsbegm1
	rename tm8054 ewsbegm2
	rename tm8016 ewsday11
	rename tm8020 ewsday12
	rename tm8024 ewsday13
	rename tm8028 ewsday14
	rename tm8032 ewsday15
	rename tm8036 ewsday16
	rename tm8040 ewsday17
	rename tm8018 ewsday21
	rename tm8022 ewsday22
	rename tm8026 ewsday23
	rename tm8030 ewsday24
	rename tm8034 ewsday25
	rename tm8038 ewsday26
	rename tm8042 ewsday27
	rename tm8002 ewsempct
	rename tm8056 ewsend1
	rename tm8060 ewsend2
	rename tm8058 ewsendm1
	rename tm8062 ewsendm2
	rename tm8004 ewshrs1
	rename tm8006 ewshrs2
	rename tm8064 ewsjob1
	rename tm8066 ewsjob2
	rename tm8068 ewsmnr1
	rename tm8070 ewsmnr2
		
	sort $idw
	save test, replace

end

************
****1984****
************	

capture program drop loop84
program define loop84

	cd "$cleandata"
	/*
	use $idw age tm8048 tm8052 tm8050 tm8054 tm8016 tm8020 tm8024 tm8028 tm8032 tm8036 tm8040 /*
	*/ tm8018 tm8022 tm8026 tm8030 tm8034 tm8038 tm8042 tm8070 /*
	*/ tm8002 tm8056 tm8060 tm8064 tm8066/*
	*/ tm8058 tm8062 tm8068 tm8004 tm8006 using sipp84t3, clear
	*/
	use $idw age tm8048 tm8052 tm8050 tm8054 tm8016 tm8020 tm8024 tm8028 tm8032 tm8036 tm8040 /*
	*/ tm8018 tm8022 tm8026 tm8030 tm8034 tm8038 tm8042 tm8070 /*
	*/ tm8002 tm8056 tm8060 tm8064 tm8066/*
	*/ tm8058 tm8062 tm8068 ws1_2024 ws2_2024 using sipp84t3, clear
	cd "$tempdata"
	sort $idw
	save test, replace

	rename tm8048 ewsbeg1
	rename tm8052 ewsbeg2
	rename tm8050 ewsbegm1
	rename tm8054 ewsbegm2
	rename tm8016 ewsday11
	rename tm8020 ewsday12
	rename tm8024 ewsday13
	rename tm8028 ewsday14
	rename tm8032 ewsday15
	rename tm8036 ewsday16
	rename tm8040 ewsday17
	rename tm8018 ewsday21
	rename tm8022 ewsday22
	rename tm8026 ewsday23
	rename tm8030 ewsday24
	rename tm8034 ewsday25
	rename tm8038 ewsday26
	rename tm8042 ewsday27
	rename tm8002 ewsempct
	rename tm8056 ewsend1
	rename tm8060 ewsend2
	rename tm8058 ewsendm1
	rename tm8062 ewsendm2
	rename tm8004 ewshrs1
	rename tm8006 ewshrs2
	rename tm8064 ewsjob1
	rename tm8066 ewsjob2
	rename tm8068 ewsmnr1
	rename tm8070 ewsmnr2
		
	sort $idw
	save test, replace

end

loop$p

compress
